## python-pgpy 0.4.3

=== requirements.txt ===
cryptography>=1.1
enum34
pyasn1
six>=1.9.0
singledispatch

=== debian/changelog ===
python-pgpy (0.4.3-3) unstable; urgency=medium

  * move to DEP-14 branch naming conventions
  * Standards-Version: bump to 4.1.3 (no changes needed)
  * move to debhelper 11
  * import bugfixes from upstream
  * d/tests: add lowest-common-denominator smoketest
  * only test against a single version of python3 (Closes: #878633)
  * ship examples using dh_installexamples
  * build html docs instead of just shipping rst source
  * accept multi-arch hinter about python-pgpy-doc

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 23 Feb 2018 16:56:02 -0800

python-pgpy (0.4.3-2) unstable; urgency=medium

  * Yet another upload to try to work around build-daemon
    testsuite failures (Closes: #848518)
  * cherry-pick upstream workarounds/bugfixes
  * bump Standards-Version to 4.1.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 Oct 2017 18:52:59 -0400

python-pgpy (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Aug 2017 20:28:33 -0400

python-pgpy (0.4.2-2) unstable; urgency=medium

  * updated year in debian/copyright

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 Aug 2017 13:00:03 -0400

python-pgpy (0.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #848518)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 Aug 2017 00:29:03 -0400

python-pgpy (0.4.1-3) unstable; urgency=medium

  * resolve checksum issue (upstream)
  * ensure singledispatch dependency is present
  * avoid non-unicode failures in test suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 26 Apr 2017 12:28:23 -0400

python-pgpy (0.4.1-2) unstable; urgency=medium

  * remove unnecessary and brittle attempts to tweak pydist.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Apr 2017 15:43:50 -0400

python-pgpy (0.4.1-1) unstable; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Apr 2017 13:17:49 -0400

python-pgpy (0.4.0+git20170216-1) unstable; urgency=medium

  * Initial release into the debian archive (Closes: #848518)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 26 Feb 2017 01:37:05 -0800

=== debian/control ===
Source: python-pgpy
Section: python
Priority: optional
Maintainer: Michael Greene <mgreene@securityinnovation.com>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 dpkg-dev (>= 1.17.14),
 libffi-dev <!nocheck>,
 pgpdump <!nocheck>,
 python3-all (>= 3.2),
 python3-cryptography (>= 1.1),
 python3-flake8 <!nocheck>,
 python3-gpg (>= 1.9.0-3) <!nocheck>,
 python3-pep8-naming <!nocheck>,
 python3-progressbar <!nocheck>,
 python3-pyasn1,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-singledispatch,
 python3-six (>= 1.9.0),
 python3-sphinx <!nodoc>,
Standards-Version: 4.1.3
X-Python3-Version: >= 3.3
Vcs-Git: https://github.com/SecurityInnovation/PGPy -b debian/master
Vcs-Browser: https://github.com/SecurityInnovation/PGPy
Homepage: https://github.com/SecurityInnovation/PGPy

Package: python3-pgpy
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pgpy-doc,
Description: OpenPGP (Pretty Good Privacy) RFC 4880 implementation in Python 3
 PGPy offers a pure-Python implementation of the OpenPGP standard, as
 described in RFC 4880 and subsequent specifications.  It can be used
 as a toolkit for building OpenPGP-compatible applications and
 libraries in Python.

Package: python3-pgpy-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 python3-pgpy (= ${source:Version}),
Description: OpenPGP (Pretty Good Privacy) RFC 4880 implementation in Python (documentation)
 PGPy offers a pure-Python implementation of the OpenPGP standard, as
 described in RFC 4880 and subsequent specifications.  It can be used
 as a toolkit for building OpenPGP-compatible applications and
 libraries in Python.
 .
 This is the documentation for the module.

=== debian/tests/control ===
Test-Command: python3 -c 'import pgpy'
Depends: @

## python-pgpy 0.5.2

=== requirements.txt ===
cryptography>=2.6
enum34
pyasn1
six>=1.9.0
singledispatch

=== debian/changelog ===
python-pgpy (0.5.2-2) unstable; urgency=medium

  * import minor bugfixes reported upstream
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.
  * Rules-Requires-Root: no

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 25 Oct 2019 14:24:38 -0400

python-pgpy (0.5.2-1) unstable; urgency=medium

  * new upstream release
   - adds Curve25519 and Ed25519 support
  * move to debhelper 12
  * standards-version: bump to 4.4.0 (no changes needed)
  * drop python3-singledispatch from build, since it is part of core
  * drop patches already upstream
  * pull in upstream facepalm version number fix
  * update dependency version for python3-cryptography
  * clean up python and pytest cache
  * wrap-and-sort debian/tests/control, mark module load test as superficial
  * drop X-Python3-Version: PGPy supports all modern py3 in debian

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 02 Aug 2019 12:16:03 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  dpkg-dev (>= 1.17.14),
  libffi-dev <!nocheck>,
  pgpdump <!nocheck>,
  python3-all (>= 3.2),
- python3-cryptography (>= 1.1),
+ python3-cryptography (>= 2.6),
  python3-flake8 <!nocheck>,
  python3-gpg (>= 1.9.0-3) <!nocheck>,
  python3-pep8-naming <!nocheck>,
@@ -20,14 +20,13 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
- python3-singledispatch,
  python3-six (>= 1.9.0),
  python3-sphinx <!nodoc>,
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.3
+Standards-Version: 4.4.1
 Vcs-Git: https://github.com/SecurityInnovation/PGPy -b debian/master
 Vcs-Browser: https://github.com/SecurityInnovation/PGPy
 Homepage: https://github.com/SecurityInnovation/PGPy
+Rules-Requires-Root: no
 
 Package: python3-pgpy
 Architecture: all

## python-pgpy 0.5.3

=== requirements.txt ===
cryptography>=2.6
enum34; python_version < '3.4'
pyasn1
six>=1.9.0
singledispatch; python_version < '3.4'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PGPy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PGPy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PGPy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PGPy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-pgpy (0.5.3-3) unstable; urgency=medium

  * move debian packaging to salsa

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Feb 2021 19:34:09 -0500

python-pgpy (0.5.3-2) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Taking over maintenance.  Thanks, Michael Greene! (Closes: #979048)
  * refresh patches

  [ Logan Rosen ]
  * Add build-dep on python3-wheel (Closes: #979037)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Feb 2021 19:02:20 -0500

python-pgpy (0.5.3-1) unstable; urgency=medium

  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Use canonical URL in Vcs-Git.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Daniel Kahn Gillmor ]
  * bump standards-version to 4.5.1 (no changes needed)
  * move to dh 13
  * drop patches already upstream
  * python3-pgpy-doc now Recommends: libjs-sphinxdoc

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Jan 2021 20:15:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: python-pgpy
 Section: python
 Priority: optional
-Maintainer: Michael Greene <mgreene@securityinnovation.com>
-Uploaders:
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  dpkg-dev (>= 1.17.14),
  libffi-dev <!nocheck>,
@@ -22,9 +20,10 @@
  python3-setuptools,
  python3-six (>= 1.9.0),
  python3-sphinx <!nodoc>,
-Standards-Version: 4.4.1
-Vcs-Git: https://github.com/SecurityInnovation/PGPy -b debian/master
-Vcs-Browser: https://github.com/SecurityInnovation/PGPy
+ python3-wheel,
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/debian/pgpy.git
+Vcs-Browser: https://salsa.debian.org/debian/pgpy
 Homepage: https://github.com/SecurityInnovation/PGPy
 Rules-Requires-Root: no
 
@@ -49,6 +48,7 @@
 Depends:
  ${misc:Depends},
 Recommends:
+ libjs-sphinxdoc,
  python3-pgpy (= ${source:Version}),
 Description: OpenPGP (Pretty Good Privacy) RFC 4880 implementation in Python (documentation)
  PGPy offers a pure-Python implementation of the OpenPGP standard, as

=== debian/tests/control ===
Test-Command: python3 -c 'import pgpy'
Depends:
 @,
Restrictions: superficial

## python-pgpy 0.5.4

=== debian/changelog ===
python-pgpy (0.5.4-4) unstable; urgency=medium

  * accept passphrases as bytes

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Feb 2022 23:12:37 -0500

python-pgpy (0.5.4-3) unstable; urgency=medium

  * avoid deprecated sphinx add_stylesheet (Closes: #997381)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 31 Jan 2022 19:22:00 -0500

python-pgpy (0.5.4-2) unstable; urgency=medium

  * move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 25 Jan 2022 19:26:13 -0500

python-pgpy (0.5.4-1) experimental; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 24 May 2021 19:12:59 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-six (>= 1.9.0),
  python3-sphinx <!nodoc>,
  python3-wheel,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/pgpy.git
 Vcs-Browser: https://salsa.debian.org/debian/pgpy
 Homepage: https://github.com/SecurityInnovation/PGPy

## python-pgpy 0.6.0

=== debian/changelog ===
python-pgpy (0.6.0-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compatibility with python3-cryptography >= 45 (Closes: #1119687).

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 04 Nov 2025 20:12:13 +0500

python-pgpy (0.6.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix removed imghdr since Python 3.13 (Closes: #1082248,
    #1084730)
  * Add patch to workaround test failure caused by GPGME change (Closes:
    #1086378)

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 07 Dec 2024 02:21:07 -0800

python-pgpy (0.6.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tests with python3-cryptography >= 43 (Closes: #1081366).

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 16 Sep 2024 22:24:21 +0500

python-pgpy (0.6.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous runtime dependecy on python3-six (Closes: #1070187)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 19:27:00 +0200

python-pgpy (0.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * docs: Don't use html4_writer=True (Closes: #1042703).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Mar 2024 20:03:20 +0800

python-pgpy (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * adjust dependencies
  * Standards-Version: bump to 4.6.2 (no changes needed)
  * refresh patches (dropping those already upstream)
  * Move testing to pybuild-autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Jan 2023 21:07:12 -0500

python-pgpy (0.5.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream commit d84597e (Closes: #1026561).
    The cryptography.utils.register_interface decorator has been removed.
  * Cherry-pick upstream commit 3f55a53 to fix a test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 24 Dec 2022 11:07:25 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libffi-dev <!nocheck>,
  pgpdump <!nocheck>,
  python3-all (>= 3.2),
- python3-cryptography (>= 2.6),
+ python3-cryptography (>= 3.3.2),
  python3-flake8 <!nocheck>,
  python3-gpg (>= 1.9.0-3) <!nocheck>,
  python3-pep8-naming <!nocheck>,
@@ -18,19 +18,18 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
- python3-six (>= 1.9.0),
  python3-sphinx <!nodoc>,
  python3-wheel,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/pgpy.git
 Vcs-Browser: https://salsa.debian.org/debian/pgpy
 Homepage: https://github.com/SecurityInnovation/PGPy
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pgpy
 Architecture: all
 Depends:
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pgpy

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_build-indep:
	dh_auto_build -O=--buildsystem=pybuild
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	make -C docs html
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changelog.rst

# LC_ALL=C.UTF-8 below is because of
# https://github.com/SecurityInnovation/PGPy/issues/173

# The test suite uses python-gpg, which is built only for one version
# of python3 (see https://bugs.debian.org/866555), so we have to tune
# this test rule to run the version that gpgme is built against (at
# the moment, that's 3.6).  yuck.  See https://bugs.debian.org/878633.
override_dh_auto_test:
	LC_ALL=C.UTF-8 PYBUILD_VERSIONS=3.6 dh_auto_test -O--buildsystem=pybuild

=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%PGPy-$1.tar.gz%" \
 https://github.com/SecurityInnovation/PGPy/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
